<RSSArticle> Protocol Reference

`#include <RSSArticleProtocol.h>`

Inheritance diagram for <RSSArticle>:

## Instance Methods

(NSString *) | - headline
(NSString *) | - url
(NSString *) | - content
(NSArray *) | - links
(NSDate *) | - date
(NSURL *) | - enclosure
(id< RSSFeed >) | - feed
(BOOL) | - store
(void) | - willBeReplacedByArticle:

## Detailed Description

Classes implementing this protocol can be used as RSSArticles.

## Method Documentation

## content

- (NSString *) content |  |  |

Returns
  The full text, an excerpt or a summary from the article

Reimplemented in RSSArticle.

References content.

Referenced by content.

## date

- (NSDate *) date |  |  |

Returns the date of the publication of the article. If the source feed of this article didn't contain information about this date, the fetching date is usually returned.

Returns
  The date of the publication of the article

Reimplemented in RSSArticle.

References date.

Referenced by date.

## enclosure

- (NSURL *) enclosure |  |  |

Returns the Enclosure object of this article as URL. If there is no enclosure object, nil is returned.

Returns
  the URL of this article's enclosure object

Reimplemented in RSSArticle.

References enclosure.

Referenced by enclosure.

## feed

- (id< RSSFeed >) feed |  |  |

Returns the source feed of this article.

Warning
  It's not guaranteed that this object actually exists. Be aware of segmentation faults!

If you want to make sure the object exists, you have to follow these rules:

- Don't retain any article!
- Don't call the (undocumented) `setFeed:` (Colon!) method.

Returns
  The source feed of this article

References feed.

Referenced by feed.

## headline

- (NSString *) headline |  |  |

Returns
  The headline of the article

Reimplemented in RSSArticle.

References headline.

Referenced by headline.

## links

- (NSArray *) links |  |  |

Returns an NSArray containing NSURL objects or nil, if there are none. The contained NSURL objects often have the "type" and "rel" properties set. See the documentation for addLink: for details.

Returns
  The links of the article.

Reimplemented in RSSArticle.

References links.

Referenced by links.

## store

- (BOOL) store |  |  |

Saves the article to the URL that's calculated by the RSSFactory.

Reimplemented in RSSArticle.

References store.

Referenced by store.

## url

- (NSString *) url |  |  |

Returns
  The URL of the full version of the article (as NSString*)

Reimplemented in RSSArticle.

References url.

Referenced by url.

## willBeReplacedByArticle:

- (void) willBeReplacedByArticle: |  | (id) | newArticle |

This method is intended to make sure that the replacing article keeps some fields from the old (this) article. Subclasses will probably want to override this, but shouldn't forget calling the super implementation, first.

The documentation for this protocol was generated from the following file:

- RSSArticleProtocol.h